Create a saved search

Use this endpoint to create a saved search for a client.

Important - the filters must be specific enough so that the initial matches do not exceed 100 listings (the default, which may be configured per account), otherwise a 406 (not accepted) response will be received. A client may have at most 5 saved searches by default (also configurable per account); exceeding that limit returns a 406.

Validation rules

clientId must belong to your account, and agentId (if supplied) must be an agent in your account that the client is assigned to.
cities and areas must match values that exist on listings in your MLS data (case-insensitive).
propertyTypes and styles must be values returned by GET /listings?listings=false&aggregates=details.propertyType,details.style.
For every min/max pair (price, beds, baths, sqft, yearBuilt, stories, coveredSpaces, lotSizeSqft, lotWidth) the minimum cannot be greater than the maximum.
map polygons must contain at least 3 distinct coordinates.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
int32
required

The clientId of the client that the search is for. This client will receive notifications from the agent that's assigned to them when listings that match the saved search criteria are listed.

string
length ≤ 50

You can specify a name for the saved search. This is useful in cases where users have multiple saved searches, to help them distinguish between saved searches. Maximum 50 characters.

amenities
array of strings
amenities
areas
array of strings

An array of areas to be used as a filter for this search. Required, together with cities, if neither map nor locationIds is provided.

areas
basement
array of strings

If specified, matches only listings whose basement description match all of the supplied values. For a list of supported values, make a GET /listings?listings=false&aggregates=details.basement1,details.basement2 request.

basement
cities
array of strings

An array of cities to be used as a filter for this search. Required, together with areas, if neither map nor locationIds is provided.

cities
class
array of strings
required

Indicates what class of property to search for.

Allowed values:

residential,condo,commercial

class*
Allowed:
heating
array of strings

An array of heating values to be used as a filter for this search.

heating
keywords
array of strings
keywords
neighborhoods
array of strings

An array of neighborhoods to be used as a filter for this search. Optional. Does not replace the areas and cities requirement when map is not provided.

neighborhoods
string
enum
Defaults to instant

Sets the frequency that clients will be notified of listings that match their search criteria.

Allowed values:

instant, daily, weekly, monthly

Allowed:
json

An array of polygons arrays with arrays of longitude/latitude shapes to be used as a filter for this search. If used, only listings that area geographically located within these shapes will be matched. Required if neither locationIds nor both areas and cities are provided.

int32

The maximum amount of bathrooms to be used as a filter for this search.

int32
1 to 32767

The maximum amount of bedrooms to be used as a filter for this search.

int32

The maximum amount of covered spaces to be used as a filter for this search.

int32
1 to 32767

If specified, matches only listings whose parking space count is >= the supplied value.

int32
required

The maximum list price to be used as a filter for this search.

int32
int32
int32
1 to 32767
int32

The minimum amount of bathrooms to be used as a filter for this search.

int32
1 to 32767

The minimum amount of bedrooms to be used as a filter for this search.

int32

The minimum amount of covered spaces to be used as a filter for this search.

int32
1 to 32767

If specified, matches only listings whose garage space count is >= the supplied value.

int32
1 to 32767

If specified, matches only listings whose kitchen count is >= the supplied value.

int32

If supplied limits matches to listings where the maintenance fee is <= the supplied value.

int32
required

The minimum list price to be used as a filter for this search.

int32
int32
int32
1 to 32767
pets
array of strings

An array of pet policy values to be used as a filter for this search.

pets
boolean
Defaults to false

If set to true, clients will receive price change notifications for listings that have been matched for them.

propertyTypes
array of strings

An array of property types to be used as a filter for this search.

propertyTypes
sewer
array of strings

An array of sewer values to be used as a filter for this search.

sewer
boolean
Defaults to true

If set to false, disables this search.

boolean
Defaults to false

If set to true, clients will receive sold notifications for listings that have been matched for them.

streetNames
array of strings

An array of street names to be used as a filter for this search.

streetNames
streetNumbers
array of strings

An array of street numbers to be used as a filter for this search.

streetNumbers
styles
array of strings

An array of property styles to be used as a filter for this search.

styles
swimmingPool
array of strings

An array of swimming pool values to be used as a filter for this search.

swimmingPool
string
enum
required

Indicates whether the search is for a property that's for sale or for lease.

Allowed values:

sale,lease

Allowed:
waterSource
array of strings

An array of water source values to be used as a filter for this search.

waterSource
int32

The minimum lot size in square feet to be used as a filter for this search.

int32

The maximum lot size in square feet to be used as a filter for this search.

float

The minimum lot width to be used as a filter for this search. If specified, matches only listings whose lot width is >= the supplied value. Must be greater than 0 and cannot be greater than maxLotWidth. The unit of measurement is the same as the one the MLS board provides in its data.

float

The maximum lot width to be used as a filter for this search. If specified, matches only listings whose lot width is <= the supplied value. Must be greater than 0 and cannot be less than minLotWidth. The unit of measurement is the same as the one the MLS board provides in its data.

date

Indicates whether the search is for properties that have an Open House on or after the supplied date. Date format: YYYY-MM-DD

date

Indicates whether the search is for properties that have an Open House on or before the supplied date. Date format: YYYY-MM-DD. It's not recommended to use it unless you have a very good reason to set it.

standardStatus
array of strings

Indicates what Standard Status of property to search for.

Allowed values:

Active, Active Under Contract, Closed, Expired, Pending, Canceled, Incomplete

standardStatus
Allowed:
fields
object

An object of raw MLS field filters to be used for this search. Each key is a raw field name and each value is an array of possible values for that field. Raw field names must be prefixed with raw., for example raw.Room13level or raw.PropertyUse. Supports up to 50 fields and up to 50 values per field.

Example: {"raw.Room13level": ["Main"]}

locationIds
array of strings

An array of locationIds (see GET /locations) to be used as a filter for this search. If provided, map, areas and cities are not required. Values must be alphanumeric. Duplicates are removed.

locationIds
int32

The agentId of the agent that the search is assigned to. Must be an agent in your account that the client is assigned to. If not specified, defaults to the agent assigned to the client.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain